org.jboss.resteasy.skeleton.key

## Class SkeletonKeyPrincipal

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.SkeletonKeyPrincipal

- All Implemented Interfaces:
    Principal

      public class SkeletonKeyPrincipal
      extends Object
      implements Principal

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`
    `protected String` | `surrogate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkeletonKeyPrincipal(String name, String surrogate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getName()`
    `String` | `getSurrogate()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### surrogate

          protected String surrogate

  - ### Constructor Detail

    - #### SkeletonKeyPrincipal

          public SkeletonKeyPrincipal(String name,
                              String surrogate)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Principal`

    - #### getSurrogate

          public String getSurrogate()

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Principal`
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.